# Class Thelia\Model\om\BaseCountryQuery | thelia

# Class BaseCountryQuery

Base class that represents a query for the 'country' table.

  ModelCriteria
  Thelia\Model\om\BaseCountryQuery

#### Direct known subclasses

Thelia\Model\CountryQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseCountryQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\Country', string $modelAlias = null )`

Initializes internal state of BaseCountryQuery object.

Initializes internal state of BaseCountryQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\CountryQuery``

# `create( string $modelAlias = null, `Thelia\Model\CountryQuery`|Criteria $criteria = null )`

Returns a new CountryQuery object.

Returns a new CountryQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\CountryQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\Country`|`Thelia\Model\Country[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\Country`|`Thelia\Model\Country[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\Country``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Country``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\Country`|`Thelia\Model\Country[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Country`|`Thelia\Model\Country[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\Country[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\Country[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\CountryQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `filterByAreaId( mixed $areaId = null, string $comparison = null )`

Filter the query on the area_id column

Filter the query on the area_id column

Example usage:

    $query->filterByAreaId(1234); // WHERE area_id = 1234
    $query->filterByAreaId(array(12, 34)); // WHERE area_id IN (12, 34)
    $query->filterByAreaId(array('min' => 12)); // WHERE area_id > 12

#### Parameters

$areaId
  `mixed`
  $areaId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseCountryQuery::filterByArea()``

`public `Thelia\Model\CountryQuery``

# `filterByIsocode( string $isocode = null, string $comparison = null )`

Filter the query on the isocode column

Filter the query on the isocode column

Example usage:

    $query->filterByIsocode('fooValue');   // WHERE isocode = 'fooValue'
    $query->filterByIsocode('%fooValue%'); // WHERE isocode LIKE '%fooValue%'

#### Parameters

$isocode
  `string`
  $isocode The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `filterByIsoalpha2( string $isoalpha2 = null, string $comparison = null )`

Filter the query on the isoalpha2 column

Filter the query on the isoalpha2 column

Example usage:

    $query->filterByIsoalpha2('fooValue');   // WHERE isoalpha2 = 'fooValue'
    $query->filterByIsoalpha2('%fooValue%'); // WHERE isoalpha2 LIKE '%fooValue%'

#### Parameters

$isoalpha2
  `string`
  $isoalpha2 The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `filterByIsoalpha3( string $isoalpha3 = null, string $comparison = null )`

Filter the query on the isoalpha3 column

Filter the query on the isoalpha3 column

Example usage:

    $query->filterByIsoalpha3('fooValue');   // WHERE isoalpha3 = 'fooValue'
    $query->filterByIsoalpha3('%fooValue%'); // WHERE isoalpha3 LIKE '%fooValue%'

#### Parameters

$isoalpha3
  `string`
  $isoalpha3 The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `filterByArea( `Thelia\Model\Area`|PropelObjectCollection $area, string $comparison = null )`

Filter the query by a related Area object

Filter the query by a related Area object

#### Parameters

$area
  ``Thelia\Model\Area`|PropelObjectCollection`
  $area The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\CountryQuery``

# `joinArea( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the Area relation

Adds a JOIN clause to the query using the Area relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\AreaQuery``

# `useAreaQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the Area relation Area object

Use the Area relation Area object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\AreaQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\CountryQuery``

# `filterByTaxRuleCountry( `Thelia\Model\TaxRuleCountry`|PropelObjectCollection $taxRuleCountry, string $comparison = null )`

Filter the query by a related TaxRuleCountry object

Filter the query by a related TaxRuleCountry object

#### Parameters

$taxRuleCountry
  ``Thelia\Model\TaxRuleCountry`|PropelObjectCollection`
  $taxRuleCountry the related object to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\CountryQuery``

# `joinTaxRuleCountry( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the TaxRuleCountry relation

Adds a JOIN clause to the query using the TaxRuleCountry relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\TaxRuleCountryQuery``

# `useTaxRuleCountryQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the TaxRuleCountry relation TaxRuleCountry object

Use the TaxRuleCountry relation TaxRuleCountry object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\TaxRuleCountryQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\CountryQuery``

# `filterByCountryI18n( `Thelia\Model\CountryI18n`|PropelObjectCollection $countryI18n, string $comparison = null )`

Filter the query by a related CountryI18n object

Filter the query by a related CountryI18n object

#### Parameters

$countryI18n
  ``Thelia\Model\CountryI18n`|PropelObjectCollection`
  $countryI18n the related object to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\CountryQuery``

# `joinCountryI18n( string $relationAlias = null, string $joinType = 'LEFT JOIN' )`

Adds a JOIN clause to the query using the CountryI18n relation

Adds a JOIN clause to the query using the CountryI18n relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryI18nQuery``

# `useCountryI18nQuery( string $relationAlias = null, string $joinType = 'LEFT JOIN' )`

Use the CountryI18n relation CountryI18n object

Use the CountryI18n relation CountryI18n object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CountryI18nQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\CountryQuery``

# `prune( `Thelia\Model\Country` $country = null )`

Exclude object from result

Exclude object from result

#### Parameters

$country
  ``Thelia\Model\Country``
  $country Object to remove from the list of results

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `joinI18n( string $locale = 'en_EN', string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the i18n relation

Adds a JOIN clause to the query using the i18n relation

#### Parameters

$locale
  `string`
  $locale Locale to use for the join condition, e.g. 'fr_FR'
$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public `Thelia\Model\CountryQuery``

# `joinWithI18n( string $locale = 'en_EN', string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query and hydrates the related I18n object. Shortcut for $c->joinI18n($locale)->with()

Adds a JOIN clause to the query and hydrates the related I18n object. Shortcut for $c->joinI18n($locale)->with()

#### Parameters

$locale
  `string`
  $locale Locale to use for the join condition, e.g. 'fr_FR'
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

``Thelia\Model\CountryQuery``
The current query, for fluid interface

`public CountryI18nQuery`

# `useI18nQuery( string $locale = 'en_EN', string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the I18n relation query object

Use the I18n relation query object

#### Parameters

$locale
  `string`
  $locale Locale to use for the join condition, e.g. 'fr_FR'
$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

`CountryI18nQuery`
A secondary query class using the current class as primary query

#### See

useQuery()

Magic methods summary

`public `Thelia\Model\CountryQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `orderByAreaId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the area_id column

Order by the area_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `orderByIsocode( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the isocode column

Order by the isocode column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `orderByIsoalpha2( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the isoalpha2 column

Order by the isoalpha2 column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `orderByIsoalpha3( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the isoalpha3 column

Order by the isoalpha3 column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `groupByAreaId( )`

Group by the area_id column

Group by the area_id column

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `groupByIsocode( )`

Group by the isocode column

Group by the isocode column

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `groupByIsoalpha2( )`

Group by the isoalpha2 column

Group by the isoalpha2 column

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `groupByIsoalpha3( )`

Group by the isoalpha3 column

Group by the isoalpha3 column

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `leftJoinArea( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Area relation

Adds a LEFT JOIN clause to the query using the Area relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `rightJoinArea( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Area relation

Adds a RIGHT JOIN clause to the query using the Area relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `innerJoinArea( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Area relation

Adds a INNER JOIN clause to the query using the Area relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `leftJoinTaxRuleCountry( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the TaxRuleCountry relation

Adds a LEFT JOIN clause to the query using the TaxRuleCountry relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `rightJoinTaxRuleCountry( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the TaxRuleCountry relation

Adds a RIGHT JOIN clause to the query using the TaxRuleCountry relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `innerJoinTaxRuleCountry( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the TaxRuleCountry relation

Adds a INNER JOIN clause to the query using the TaxRuleCountry relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `leftJoinCountryI18n( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the CountryI18n relation

Adds a LEFT JOIN clause to the query using the CountryI18n relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `rightJoinCountryI18n( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the CountryI18n relation

Adds a RIGHT JOIN clause to the query using the CountryI18n relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\CountryQuery``

# `innerJoinCountryI18n( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the CountryI18n relation

Adds a INNER JOIN clause to the query using the CountryI18n relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CountryQuery``

`public `Thelia\Model\Country``

# `findOne( PropelPDO $con = null )`

Return the first Country matching the query

Return the first Country matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Country``

`public `Thelia\Model\Country``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first Country matching the query, or a new Country object populated from the query conditions when no match is found

Return the first Country matching the query, or a new Country object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Country``

`public `Thelia\Model\Country``

# `findOneById( integer $id = )`

Return the first Country filtered by the id column

Return the first Country filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\Country``

`public `Thelia\Model\Country``

# `findOneByAreaId( integer $area_id = )`

Return the first Country filtered by the area_id column

Return the first Country filtered by the area_id column

#### Parameters

$area_id
  `integer`
  $area_id

#### Returns

``Thelia\Model\Country``

`public `Thelia\Model\Country``

# `findOneByIsocode( string $isocode = )`

Return the first Country filtered by the isocode column

Return the first Country filtered by the isocode column

#### Parameters

$isocode
  `string`
  $isocode

#### Returns

``Thelia\Model\Country``

`public `Thelia\Model\Country``

# `findOneByIsoalpha2( string $isoalpha2 = )`

Return the first Country filtered by the isoalpha2 column

Return the first Country filtered by the isoalpha2 column

#### Parameters

$isoalpha2
  `string`
  $isoalpha2

#### Returns

``Thelia\Model\Country``

`public `Thelia\Model\Country``

# `findOneByIsoalpha3( string $isoalpha3 = )`

Return the first Country filtered by the isoalpha3 column

Return the first Country filtered by the isoalpha3 column

#### Parameters

$isoalpha3
  `string`
  $isoalpha3

#### Returns

``Thelia\Model\Country``

`public `Thelia\Model\Country``

# `findOneByCreatedAt( string $created_at = )`

Return the first Country filtered by the created_at column

Return the first Country filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\Country``

`public `Thelia\Model\Country``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first Country filtered by the updated_at column

Return the first Country filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\Country``

`public array`

# `findById( integer $id = )`

Return Country objects filtered by the id column

Return Country objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByAreaId( integer $area_id = )`

Return Country objects filtered by the area_id column

Return Country objects filtered by the area_id column

#### Parameters

$area_id
  `integer`
  $area_id

#### Returns

`array`

`public array`

# `findByIsocode( string $isocode = )`

Return Country objects filtered by the isocode column

Return Country objects filtered by the isocode column

#### Parameters

$isocode
  `string`
  $isocode

#### Returns

`array`

`public array`

# `findByIsoalpha2( string $isoalpha2 = )`

Return Country objects filtered by the isoalpha2 column

Return Country objects filtered by the isoalpha2 column

#### Parameters

$isoalpha2
  `string`
  $isoalpha2

#### Returns

`array`

`public array`

# `findByIsoalpha3( string $isoalpha3 = )`

Return Country objects filtered by the isoalpha3 column

Return Country objects filtered by the isoalpha3 column

#### Parameters

$isoalpha3
  `string`
  $isoalpha3

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return Country objects filtered by the created_at column

Return Country objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return Country objects filtered by the updated_at column

Return Country objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`